<!DOCTYPE html>
<html lang="zxx">

<head>
  <meta charset="utf-8">
  <title>MDEF | Wildcard Week</title>

  <!-- mobile responsive meta -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

  <!-- ** Plugins Needed for the Project ** -->
  <!-- Bootstrap -->
  <link rel="stylesheet" href="../plugins/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="../plugins/themify/css/themify-icons.css">
  <link rel="stylesheet" href="../plugins/counto/animate.css">
  <link rel="stylesheet" href="../plugins/aos/aos.css">
  <link rel="stylesheet" href="../plugins/owl-carousel/owl.carousel.min.css">
  <link rel="stylesheet" href="../plugins/owl-carousel/owl.theme.default.min.css">
  <link rel="stylesheet" href="../plugins/magnific-popup/magnific-popup.css">
  <link rel="stylesheet" href="../plugins/animated-text/animated-text.css">

  <!-- Main Stylesheet -->
  <link href="../css/style.css" rel="stylesheet">

</head>

<body>

  <!-- Navigation Start -->
  <!-- Header Start -->

  <nav class="navbar navbar-expand-lg  main-nav " id="navbar">
  	<div class="container">
  	  <a class="navbar-brand" href="index.html">
  	  	<!-- <img src="images/logo.png" alt="" class="img-fluid">-->
  	  </a>

  	  <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarsExample09" aria-controls="navbarsExample09" aria-expanded="false" aria-label="Toggle navigation">
  		<span class="ti-align-justify"></span>
  	  </button>

  		<div class="collapse navbar-collapse" id="navbarsExample09">
  		    <ul class="navbar-nav ml-auto">
  			       <li class="nav-item  active"><a class="nav-link" href="../index.html">Home</a></li>
          </ul>
      </div>

      <div class="collapse navbar-collapse" id="navbarsExample09">
    			<ul class="navbar-nav ml-auto">
    			     <li class="nav-item  active"><a class="nav-link" href="../about.html">Hi</a></li>
          </ul>
      </div>

      <div class="collapse navbar-collapse" id="navbarsExample09">
      		<ul class="navbar-nav ml-auto">
      		    <li class="nav-item  active"><a class="nav-link" href="../term1/term1-portfolio.html">1</a></li>
  					</ul>
      </div>

      <div class="collapse navbar-collapse" id="navbarsExample09">
          <ul class="navbar-nav ml-auto">
            <li class="nav-item  active"><a class="nav-link" href="term2-portfolio.html">2</a></li>
            </ul>
      </div>

      <div class="collapse navbar-collapse" id="navbarsExample09">
         	<ul class="navbar-nav ml-auto">
         	  <li class="nav-item  active"><a class="nav-link" href="../term3/term3-portfolio.html">3</a></li>
     			</ul>
      </div>

      <div class="collapse navbar-collapse" id="navbarsExample09">
          <ul class="navbar-nav ml-auto">
          	<li class="nav-item  active"><a class="nav-link" href="../t_dxr/dxr-portfolio.html">Design For Regeneration</a></li>
      		</ul>
      </div>

      <div class="collapse navbar-collapse" id="navbarsExample09">
          <ul class="navbar-nav ml-auto">
            <li class="nav-item  active"><a class="nav-link" href="https://gitlab.com/laurafreixas">Gitlab</a></li>
              </ul>
  		</div>

  	</div>
  </nav>

  <!-- Header Close -->


  <!-- Navigation ENd -->

<!-- Header Close -->



<section class="page-title section pb-0">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <div class="text-center">
          <h1 class="text-capitalize mb-0 text-lg">Wildcard Week</h1>
        </div>
      </div>
    </div>
  </div>
</section>

<section class="section portfolio-single">
	<div class="container">
		<div class="row justify-content-center">
			<div class="col-lg-8">
				<div class="project-info">
					<h3 class="mb-4">CNC by the Sea</h3>
          This week is about controlling a CNC with G-Code and drawing in the sand. This CNC has a screw driver that takes out the sand when it moves and you can program your drawings in the sand (bed size 700x700cm).
          <br>
          <br>
          <img src="../images/blog2/19_9.png" alt="" class="img-fluid w-100">
          Remotely hyperconnected (FLU, 2020).
          <br>
          <br>
          Here you can find the documentation provided by the Future Learning Unit: https://gitlab.com/fablabbcn-projects/learning/the-cnc-by-the-sea 
          <br>
          <br>
          And in the following link there is the connection to control the CNC from our homes: https://thecncbythesea.hopto.org
          <br>
          <br>
          The camera in the FabLab BCN is live streamed on IP: http://91.126.132.4:8080/?action=stream.
          <br>
          <br>
          And in this one there’s the another point of view: http://91.126.132.4:8081/?action=stream.
          <br>
          <br>
          First we need to understand how to code with G-Code. In the following link there’s a description of the functions of each command of G-Unit: t https://marlinfw.org/meta/gcode
          <br>
          <br>
          These are the commands that we need to use to set up the machine:
          <br>
          <h5 class="mb-4">
          · G90: absolute positioning coordinates
          <br>
          · G21: set millimeters unit
          <br>
          · G28: set home with the calibration (0,0)
          <br>
          · G0: move air fast travel
          <br>
          · G1: move in x,y,z
          <br>
          · F: feedrates
          </h5>
          <br>
          For example:
          <br>
          G1 X100 Y100 Z10
          <br>
          G1 F1000
          <br>
          <br>
          Mitalee’s Example helped me to understand the functions of G-Code and the drawing coordinates:
          <br>
          <br>
          <img src="../images/blog2/19_10.png" alt="" class="img-fluid w-100">
          <br>
          <br>
          G28
          <br>
          G1 X350 Y350 F2000
          <br>
          G1 X350 Y400
          <br>
          G1 X400 Y400
          <br>
          G1 X300 Y400
          <br>
          G1 X300 Y300
          <br>
          G1 X300 Y450
          <br>
          G1 X450 Y450
          <br>
          G1 X250 Y450
          <br>
          G1 X250 Y250
          <br>
          G1 X250 Y500
          <br>
          G1 X500 Y500
          <br>
          G1 X200 Y500
          <br>
          G1 X200 Y200
          <br>
          G1 X200 Y550
          <br>
          G1 X550 Y550
          <br>
          G1 X150 Y550
          <br>
          G1 X150 Y150
          <br>
          <br>
          There are different ways to generate the G-Code for the drawing:
          <h5 class="mb-4">· Directly in the control software of CNC by the Sea website
          <br>
          · Kraken Script for Grasshopper
          <br>
          · Mods
          <br>
          · Fabmodules
          <br>
          · Inkscape + Plugin SVG G-Code
          <br>
          · Python: convert an SVG to G-Code
          <br>
          · jscut.org</h5>

<br>
<br>
<br>
<h3 class="mb-4">Generate the G-Code with Rhino + Kraken Script for Grasshopper</h3>

<br>
<img src="../images/blog2/19_1.png" alt="" class="img-fluid w-100">
<br>
<img src="../images/blog2/19_2.png" alt="" class="img-fluid w-100">
<br>
<img src="../images/blog2/19_3.png" alt="" class="img-fluid w-100">
<br>
<img src="../images/blog2/19_4.png" alt="" class="img-fluid w-100">
<br>
<img src="../images/blog2/19_5.png" alt="" class="img-fluid w-100">
<br>
<img src="../images/blog2/19_6.png" alt="" class="img-fluid w-100">
<br>
<img src="../images/blog2/19_7.png" alt="" class="img-fluid w-100">
<br>
<img src="../images/blog2/19_8.png" alt="" class="img-fluid w-100">
<br>
<br>
<br>
<h3 class="mb-4">Final Result</h3>
<img src="../images/blog2/19_.png" alt="" class="img-fluid w-100">
<br>
<br>
<br>
<iframe src="https://player.vimeo.com/video/423076236" width="640" height="480" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe>
<br>
<iframe src="https://player.vimeo.com/video/423074509" width="640" height="480" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe>
<br>
<iframe src="https://player.vimeo.com/video/423073870" width="640" height="480" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe>
<br>
<br>
<br>
<br>
Here you can find the files:
<a href="../images/blog2/19_KrakenControl.3dm" download>Grasshopper Plugin: Kraken Control</a>
<br>
<a href="../images/blog2/19_sand-x.3dm" download>Rhino Drawing + Kraken Control</a>
<br>
<a href="../images/blog2/19_sand-x.gh" download>Grasshopper Drawing + Plugin Kraken Control</a>
<br>
<a href="../images/blog2/19_sand-drawing.gcode" download>Sand Drawing G-Code</a>
<br>
<a href="../images/blog2/19_sand-cleaning.gcode" download>Sand Cleaning G-Code</a>
<br>
<a href="../images/blog2/19_sand-drawing.3dm" download>Rhino Drawing</a>
<br>
<br>
<br>
<br>
    </div>



				<div class="row mt-4">
					<div class="col-lg-6">
						<div class="info">
							<h5 class="mb-0">Faculty</h5>
							<p>Future Learning Unit Team</p>
						</div>

						<div class="info">
							<h5 class="mb-0">Year</h5>
							<p>27/5/2020</p>
						</div>
					</div>

					<div class="col-lg-6">
						<div class="info">
							<h5 class="mb-0">Category</h5>
							<p>Fab Academy</p>
						</div>
						<!--<div class="info">
							<h5>Share</h5>
							<a href="#"><i class="ti-facebook"></i></a>
							<a href="#"><i class="ti-twitter"></i></a>
							<a href="#"><i class="ti-pinterest"></i></a>
							<a href="#"><i class="ti-dribbble"></i></a>
						</div> -->
					</div>
				</div>

				<div class="mt-5">
					<a href="18_mechanical-design.html" class="btn btn-dark">Previous Work</a>
					<a href="20_inv-int-prop-inc.html" class="btn btn-dark">Next Work</a>
				</div>
			</div>
		</div>
	</div>
</section>

<!-- Footer start -->
<section class="footer">
	<div class="container">
		<div class="row ">
			<div class="col-lg-6">
				<p class="mb-0">Copyrights © 2019. Designed & Developed by <a href="themefisher.com" class="text-white">Themefisher</a></p>
        <p class="mb-0">Copyrights © 2019. Owned and modified by <a href="https://fablabbcn.org/" class="text-white">Iaac-FablabBarcelona</a></p>
			</div>
			<div class="col-lg-6">
				<div class="widget footer-widget text-lg-right mt-5 mt-lg-0">
					<ul class="list-inline mb-0">
						<li class="list-inline-item"><a href="https://www.instagram.com/diescheuche/" target="_blank"><i class="ti-instagram mr-3"></i></a>
						</li>
            <li class="list-inline-item"><a href="https://linkedin.com/in/laura-freixas-b7240885" target="_blank"><i class="ti-linkedin mr-3"></i></a></li>
						<li class="list-inline-item"><a href="https://twitter.com/diescheuche" target="_blank"><i class="ti-twitter mr-3"></i></a>
						</li>
						<li class="list-inline-item"><a href="https://laurafreixas.gitlab.io/laura.freixas/" target="_blank"><i class="ti-github mr-3"></i></a></li>


					</ul>
				</div>
			</div>
		</div>
	</div>
</section>
<!-- Footer End -->

<!-- jQuery -->
<script src="plugins/jQuery/jquery.min.js"></script>
<!-- Bootstrap JS -->
<script src="plugins/bootstrap/bootstrap.min.js"></script>
<script src="plugins/aos/aos.js"></script>
<script src="plugins/owl-carousel/owl.carousel.min.js"></script>
<script src="plugins/shuffle/shuffle.min.js"></script>
<script src="plugins/magnific-popup/jquery.magnific-popup.min.js"></script>
<script src="plugins/animated-text/animated-text.js"></script>
<script src="plugins/counto/apear.js"></script>
<script src="plugins/counto/counTo.js"></script>

 <!-- Google Map -->
<script src="plugins/google-map/map.js"></script>
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAkeLMlsiwzp6b3Gnaxd86lvakimwGA6UA&callback=initMap"></script>
<!-- Main Script -->
<script src="js/script.js"></script>

</html>
